import sys


from tklib.tkobject import tkObject



class tkModule(tkObject):
    def __init__(self, name, module = None, **kwargs):
        self.name = name
        self.module = module
        self.update(**kwargs)
        self.initialize(**kwargs)

    def initialize(self, **kwargs):
        super().__init__(**kwargs)

#    def __del__(self):
#        print("{} destroyed".format(self.name))

    def __str__(self):
        return self.name
